﻿namespace wpf_ChartView_990895_SecondExample.Converters
{
    using System;
    using System.Globalization;
    using System.Windows.Data;
    using Telerik.Windows.Controls;
    using Telerik.Windows.Controls.ChartView;

    public class SeriesToPaletteColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            CartesianSeries series = (CartesianSeries)value;
            RadCartesianChart chart = (RadCartesianChart)series.Chart;
            int seriesIndex = chart.Series.IndexOf(series);

            var entry = chart.Palette.GetEntry(series, seriesIndex);

            if (entry.HasValue)
            {
                return entry.Value.Stroke ?? entry.Value.Fill;
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
