﻿namespace wpf_ChartView_990895_SecondExample.ViewModels
{
    using System.Collections.Generic;
    using System.Collections.ObjectModel;

    public class MainViewModel
    {
        public ObservableCollection<SeriesItem> DataCollection { get; set; }

        public ObservableCollection<SeriesItem> LineCollection { get; set; }

        public MainViewModel()
        {
            this.DataCollection = new ObservableCollection<SeriesItem>();
            this.PopulateData();
        }

        private void PopulateData()
        {
            this.DataCollection.Add(new SeriesItem("Bar Seria 1")
            {
                BarDetails = new List<Item>()
                {
                   new Item("Key 1", 1),
                   new Item("Key 2", 2),
                   new Item("Key 3", 3)
                },
                LineDetails = new List<Item>()
                {
                   new Item("Key 1", 1),
                   new Item("Key 2", 4),
                   new Item("Key 3", 6)
                }
            });

            this.DataCollection.Add(new SeriesItem("Bar Seria 2")
            {
                BarDetails = new List<Item>()
                {
                   new Item("Key 4", 4),
                   new Item("Key 5", 5),
                   new Item("Key 6", 6)
                },
                LineDetails = new List<Item>()
                {
                   new Item("Key 4", 8),
                   new Item("Key 5", 10),
                   new Item("Key 6", 12)
                }
            });

            this.DataCollection.Add(new SeriesItem("Bar Seria 3")
            {
                BarDetails = new List<Item>()
                {
                   new Item("Key 7", 7),
                   new Item("Key 8", 8),
                   new Item("Key 9", 9)
                },
                LineDetails = new List<Item>()
                {
                   new Item("Key 7", 14),
                   new Item("Key 8", 16),
                   new Item("Key 9", 18)
                }
            });
        }
    }
}
